"use strict";
/**
 * Copyright 2021 Leroy Merlin Vostok LLC
 *
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var LoggerCoreModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggerCoreModule = void 0;
const common_1 = require("@nestjs/common");
const nestjs_async_hooks_1 = require("@leroymerlin/nestjs-async-hooks");
const logger_constants_1 = require("./logger.constants");
const pino_logger_service_1 = require("./pino-logger.service");
const pino_logger_1 = require("./pino-logger");
const defaultsLoggerModuleOptions = {};
let LoggerCoreModule = LoggerCoreModule_1 = class LoggerCoreModule {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars, @typescript-eslint/no-empty-function
    constructor(pinoLoggerOptions) { }
    static forRoot(pinoLoggerOptions = defaultsLoggerModuleOptions) {
        const loggerModuleOptions = {
            provide: logger_constants_1.PINO_LOGGER_OPTIONS_TOKEN,
            useValue: pinoLoggerOptions,
        };
        return {
            module: LoggerCoreModule_1,
            providers: [pino_logger_service_1.PinoLoggerService, pino_logger_1.PinoLogger, loggerModuleOptions],
            imports: [nestjs_async_hooks_1.AsyncHooksModule],
        };
    }
};
LoggerCoreModule = LoggerCoreModule_1 = __decorate([
    (0, common_1.Module)({}),
    __param(0, (0, common_1.Inject)(logger_constants_1.PINO_LOGGER_OPTIONS_TOKEN)),
    __metadata("design:paramtypes", [Object])
], LoggerCoreModule);
exports.LoggerCoreModule = LoggerCoreModule;
