"use strict";
/**
 * Copyright 2021 Leroy Merlin Vostok LLC
 *
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PinoLogger = void 0;
const pino_1 = __importDefault(require("pino"));
const common_1 = require("@nestjs/common");
const logger_constants_1 = require("./logger.constants");
let PinoLogger = class PinoLogger {
    constructor(pinoLoggerOptions) {
        this.logger = (0, pino_1.default)(pinoLoggerOptions);
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    log(mergingObject, message) {
        if (typeof mergingObject === 'string') {
            this.logger.info(mergingObject);
        }
        else {
            this.logger.info(mergingObject, message);
        }
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    warn(mergingObject, message) {
        if (typeof mergingObject === 'string') {
            this.logger.warn(mergingObject);
        }
        else {
            this.logger.warn(mergingObject, message);
        }
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    error(mergingObject, stackTrace, message) {
        if (typeof mergingObject === 'string') {
            this.logger.error(mergingObject);
        }
        else {
            this.logger.error(mergingObject, message);
        }
        if (typeof stackTrace !== 'undefined') {
            this.logger.error(stackTrace, message);
        }
    }
};
PinoLogger = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)(logger_constants_1.PINO_LOGGER_OPTIONS_TOKEN)),
    __metadata("design:paramtypes", [Object])
], PinoLogger);
exports.PinoLogger = PinoLogger;
