/**
 * Copyright 2021 Leroy Merlin Vostok LLC
 *
 * Use of this source code is governed by a MIT-style
 * license that can be found in the LICENSE file or at
 * https://opensource.org/licenses/MIT.
 */
import type { LoggerService } from '@nestjs/common';
import { AsyncHooksContext } from '@leroymerlin/nestjs-async-hooks';
import { PinoLogger } from './pino-logger';
export declare class PinoLoggerService implements LoggerService {
    private readonly logger;
    private readonly asyncHooksContext;
    constructor(logger: PinoLogger, asyncHooksContext: AsyncHooksContext);
    private getMessage;
    private getLogObject;
    error(messageContainer: any, stackTrace?: string, contextValue?: string): void;
    log(messageContainer: any, contextValue?: string): void;
    warn(messageContainer: any, contextValue?: string): void;
}
